メインコンテンツへスキップ
PUT
/
2
/
activity
/
subscriptions
/
{subscription_id}
X アクティビティのサブスクリプションを更新
curl --request PUT \
  --url https://api.x.com/2/activity/subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tag": "<string>",
  "webhook_id": "1146654567674912769"
}
'
{
  "data": {
    "subscription": {
      "created_at": "2023-11-07T05:31:56Z",
      "event_type": "<string>",
      "filter": {
        "keyword": "The President",
        "user_id": "2244994945"
      },
      "subscription_id": "1146654567674912769",
      "updated_at": "2023-11-07T05:31:56Z",
      "tag": "<string>",
      "webhook_id": "1146654567674912769"
    },
    "total_subscriptions": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

subscription_id
string
必須

更新するサブスクリプションの ID。 このサブスクリプションの一意の識別子。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

ボディ

application/json
tag
string
Required string length: 1 - 200
webhook_id
string

この Webhook 構成の一意の識別子。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

レスポンス

リクエストは成功しました。

data
object